nxos_vlan – Manages VLAN resources and attributes — Ansible Documentation

- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# nxos_vlan – Manages VLAN resources and attributes

- DEPRECATED
- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Updated modules released with more functionality
Alternative: | nxos_vlans

## Synopsis

- Manages VLAN configurations on NX-OS switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
admin_state string | Choices: up ← down | Manage the VLAN administrative state of the VLAN equivalent to shut/no shut in VLAN config mode.
aggregate list added in 2.5 |  | List of VLANs definitions.
associated_interfaces list added in 2.5 |  | This is a intent option and checks the operational state of the for given vlan `name` for associated interfaces. If the value in the `associated_interfaces` does not match with the operational state of vlan interfaces on device it will result in failure.
delay integer | Default: 10 | Time in seconds to wait before checking for the operational state on remote device. This wait is applicable for operational state arguments.
interfaces list added in 2.5 |  | List of interfaces that should be associated to the VLAN or keyword 'default'.
mapped_vni string |  | The Virtual Network Identifier (VNI) ID that is mapped to the VLAN. Valid values are integer and keyword 'default'. Range 4096-16773119.
mode string added in 2.4 | Choices: ce ← fabricpath | Set VLAN mode to classical ethernet or fabricpath. This is a valid option for Nexus 5000 and 7000 series.
name string |  | Name of VLAN or keyword 'default'.
provider dictionary |  | Deprecated Starting with Ansible 2.5 we recommend using `connection: network_cli`. This option is only required if you are using NX-API. For more information please see the NXOS Platform Options guide. A dict object containing connection details.
| auth_pass string added in 2.5.3 |  | Specifies the password to use if required to enter privileged mode on the remote device. If authorize is false, then this argument does nothing. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTH_PASS` will be used instead.
| authorize boolean added in 2.5.3 | Choices: no ← yes | Instructs the module to enter privileged mode on the remote device before sending any commands. If not specified, the device will attempt to execute all commands in non-privileged mode. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTHORIZE` will be used instead.
| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This is a common argument used for either cli or nxapi transports. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: "0 (use common port)" | Specifies the port to use when building the connection to the remote device. This value applies to either cli or nxapi. The port value will default to the appropriate transport common port if none is provided in the task. (cli=22, http=80, https=443).
| ssh_keyfile string |  | Specifies the SSH key to use to authenticate the connection to the remote device. This argument is only used for the cli transport. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error. NX-API can be slow to return on long-running commands (sh mac, sh bgp, etc).
| transport string / required | Choices: cli ← nxapi | Configures the transport connection to use when connecting to the remote device. The transport argument supports connectivity to the device over cli (ssh) or nxapi.
| use_proxy boolean added in 2.5 | Choices: no yes ← | If `no`, the environment variables `http_proxy` and `https_proxy` will be ignored.
| use_ssl boolean | Choices: no ← yes | Configures the transport to use SSL if set to `yes` only when the `transport=nxapi`, otherwise this value is ignored.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate either the CLI login or the nxapi authentication depending on which transport is used. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates. If the transport argument is not nxapi, this value is ignored.
purge boolean | Choices: no ← yes | Purge VLANs not defined in the aggregate parameter. This parameter can be used without aggregate as well. Removal of Vlan 1 is not allowed and will be ignored by purge.
state string | Choices: present ← absent | Manage the state of the resource.
vlan_id integer |  | Single VLAN ID.
vlan_range string |  | Range of VLANs such as 2-10 or 2,5,10-15, etc.
vlan_state string | Choices: active ← suspend | Manage the vlan operational state of the VLAN

## Notes

Note

- For information on using CLI and NX-API see the NXOS Platform Options guide
- For more information on using Ansible to manage network devices see the Ansible Network Guide
- For more information on using Ansible to manage Cisco devices see the Cisco integration page.

## Examples

    - name: Ensure a range of VLANs are not present on the switch
      nxos_vlan:
        vlan_range: "2-10,20,50,55-60,100-150"
        state: absent

    - name: Ensure VLAN 50 exists with the name WEB and is in the shutdown state
      nxos_vlan:
        vlan_id: 50
        admin_state: down
        name: WEB

    - name: Ensure VLAN is NOT on the device
      nxos_vlan:
        vlan_id: 50
        state: absent

    - name: Add interfaces to VLAN and check intent (config + intent)
      nxos_vlan:
        vlan_id: 100
        interfaces:
          - Ethernet2/1
          - Ethernet2/5
        associated_interfaces:
          - Ethernet2/1
          - Ethernet2/5

    - name: Check interfaces assigned to VLAN
      nxos_vlan:
        vlan_id: 100
        associated_interfaces:
          - Ethernet2/1
          - Ethernet2/5

    - name: Create aggregate of vlans
      nxos_vlan:
        aggregate:
          - { vlan_id: 4000, mode: ce }
          - { vlan_id: 4001, name: vlan-4001 }

    - name: purge vlans - removes all other vlans except the ones mentioned in aggregate)
      nxos_vlan:
        aggregate:
          - vlan_id: 1
          - vlan_id: 4001
        purge: yes

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | Set of command strings to send to the remote device Sample: ['vlan 20', 'vlan 55', 'vn-segment 5000']

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Jason Edelman (@jedelman8)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.